
---
# Source: odoo/templates/pvc.yaml
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: odoo
  labels:
    app.kubernetes.io/name: odoo
    helm.sh/chart: odoo-15.0.1
    app.kubernetes.io/instance: odoo
    app.kubernetes.io/managed-by: Helm
spec:
  accessModes:
    - "ReadWriteOnce"
  resources:
    requests:
      storage: "8Gi"
---
# Source: odoo/templates/svc.yaml
apiVersion: v1
kind: Service
metadata:
  name: odoo
  labels:
    app.kubernetes.io/name: odoo
    helm.sh/chart: odoo-15.0.1
    app.kubernetes.io/instance: odoo
    app.kubernetes.io/managed-by: Helm
spec:
  type: LoadBalancer
  externalTrafficPolicy: "Cluster"
  ports:
    - name: http
      port: 80
      targetPort: http
  selector:
    app.kubernetes.io/name: odoo
    app.kubernetes.io/instance: odoo
---
# Source: odoo/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  name: odoo
  labels:
    app.kubernetes.io/name: odoo
    helm.sh/chart: odoo-15.0.1
    app.kubernetes.io/instance: odoo
    app.kubernetes.io/managed-by: Helm
spec:
  selector:
    matchLabels:
      app.kubernetes.io/name: odoo
      app.kubernetes.io/instance: odoo
  template:
    metadata:
      labels:
        app.kubernetes.io/name: odoo
        helm.sh/chart: odoo-15.0.1
        app.kubernetes.io/instance: odoo
        app.kubernetes.io/managed-by: Helm
    spec:
      
      affinity:
        podAffinity:
          
        podAntiAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
            - podAffinityTerm:
                labelSelector:
                  matchLabels:
                    app.kubernetes.io/name: odoo
                    app.kubernetes.io/instance: odoo
                namespaces:
                  - default
                topologyKey: kubernetes.io/hostname
              weight: 1
        nodeAffinity:
          
      securityContext:
        fsGroup: 1001
      containers:
        - name: odoo
          image: docker.io/bitnami/odoo:14.0.20201110-debian-10-r1
          imagePullPolicy: "IfNotPresent"
          env:
            - name: POSTGRESQL_HOST
              value: "odoo-postgresql"
            - name: POSTGRESQL_USER
              value: "postgres"
            - name: POSTGRESQL_PORT_NUMBER
              value: "5432"
            - name: POSTGRESQL_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: odoo-postgresql
                  key: "postgresql-password"
            - name: ODOO_EMAIL
              value: "user@example.com"
            - name: ODOO_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: odoo
                  key: odoo-password
          envFrom:
          ports:
            - name: http
              containerPort: 8069
          livenessProbe:
            httpGet:
              path: /
              port: http
            initialDelaySeconds: 600
            periodSeconds: 30
            timeoutSeconds: 5
            successThreshold: 1
            failureThreshold: 6
          readinessProbe:
            httpGet:
              path: /
              port: http
            initialDelaySeconds: 30
            periodSeconds: 10
            timeoutSeconds: 5
            successThreshold: 1
            failureThreshold: 6
          resources:
            requests:
              cpu: 300m
              memory: 512Mi
          volumeMounts:
            - name: odoo-data
              mountPath: /bitnami/odoo
            - name: config-volume #odoo-data-test
              mountPath: /addons #/bitnami/odoo/addons
      volumes:
        - name: odoo-data
          persistentVolumeClaim:
            claimName: odoo
        - name: config-volume
          configMap:
            name: sherlock-config
        # - name: odoo-data-test
        #   configMap:
        #     name: cf-test
        #     items:
        #       - key: "lo"
        #         path: "test/test.txt"
---

apiVersion: v1
kind: ConfigMap
metadata:
  name: sherlock-config
  namespace: default
data:
  config.yaml: |
    namespaces:
      - default
    labels:
      - "app"
      - "owner"   